package com.correx.core.tools

import com.correx.core.events.types.SessionId
import com.correx.core.sessions.projections.replay.EventReplayer
import com.correx.core.tools.state.ToolState

class DefaultToolRepository(private val replayer: EventReplayer<ToolState>) {
    fun getToolState(sessionId: SessionId): ToolState = replayer.rebuild(sessionId)
}
